Name: smokegen
Version: 4.14.3
Release: %mkrel 1
Summary: Smoke Generator
License: LGPLv2 and GPLv2+
Group:   Graphical desktop/KDE4
URL: https://projects.kde.org/projects/kde/kdebindings/smoke 
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: cmake
Conflicts: kdebindings < 4.7.0

%{?_qt4:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
This package includes Smoke Generator.

%package devel
Group: Development/Libraries
Summary: Development files for Smoke Generator
Conflicts: kdebindings-devel < 4.7.0
Requires: qt4-devel
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING COPYING.LIB
%doc README
%{_libdir}/lib*.so.*

%files devel
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/smokegen/
%{_includedir}/smoke.h
%{_includedir}/smokegen/
%{_datadir}/smoke/
%{_datadir}/smokegen/

%changelog
* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Tue Mar 04 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Tue Jan 07 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Tue Nov 05 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Mon Mar 11 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Sun Jan 13 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5
- renamed spec-file

* Thu Jun 07 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-2pclos2012
- rebuild

* Sun May 06 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-1pclos2012
- process

* Sun May 06 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-1_archie_2012
- 4.8.3

* Sun Apr 15 2012 Neal <nealbrks0 at gmail dot com> 4.8.2-1pclos2012
- process

* Sun Apr 15 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.2-1_archie_2012
- Created package
